#include<iostream>
#define NMAX 1000001
using namespace std;
int n,i,m,p1,p2,maxi=0;
int a[NMAX];
int main()
{
	cin>>n;
	if(n==2)
	{
		cin>>a[0]>>a[1];
		cout<<a[1]<<" "<<a[0];
	}
	else
	{
		for(i=0; i<n; i++)
		{
			cin>>a[i];
			if(a[i]>=maxi)
			{
				p1=i;
				maxi=a[i];
			}
		}
		for(i=0; i<n; i++)
		{
			if(a[i]<maxi)
			{
				a[p1]=a[i];
				a[i]=maxi;
				break;
			}
		}
		for(i=0; i<n; i++)
			cout<<a[i]<<" ";
	}
}